diff tests/test-vdprintf-posix.sh @ 40221:8c1a17df67e0

tests: Prepare for using valgrind. tests/*.sh: Invoke all test programs through ${CHECKER}. tests/*/*.sh: Likewise.
author Bruno Haible <bruno@clisp.org>
date Sun, 10 Mar 2019 11:32:11 +0100
parents c1aeb2f8dd65
children
line wrap: on
line diff
--- a/tests/test-vdprintf-posix.sh	Sun Mar 10 01:28:42 2019 +0100
+++ b/tests/test-vdprintf-posix.sh	Sun Mar 10 11:32:11 2019 +0100
@@ -4,7 +4,7 @@
 trap 'rm -fr $tmpfiles' 1 2 3 15
 
 tmpfiles="$tmpfiles t-vdprintf-posix.tmp t-vdprintf-posix.out"
-./test-vdprintf-posix${EXEEXT} > t-vdprintf-posix.tmp || exit 1
+${CHECKER} ./test-vdprintf-posix${EXEEXT} > t-vdprintf-posix.tmp || exit 1
 LC_ALL=C tr -d '\r' < t-vdprintf-posix.tmp > t-vdprintf-posix.out || exit 1
 
 : ${DIFF=diff}